## PolkitError PolkitError — Error codes |

## Synopsis

    #define             POLKIT_ERROR
    enum                PolkitError;

## Object Hierarchy

      GEnum
       +----PolkitError

## Description

Error codes.

## Details

### POLKIT_ERROR

    #define POLKIT_ERROR (polkit_error_quark())

Error domain for errors when using PolicyKit. Errors in this domain will be from the PolkitError enumeration. See GError for information on error domains

### enum PolkitError

    typedef enum {
      POLKIT_ERROR_FAILED = 0,
      POLKIT_ERROR_CANCELLED = 1,
      POLKIT_ERROR_NOT_SUPPORTED = 2,
      POLKIT_ERROR_NOT_AUTHORIZED = 3,
    } PolkitError;

Possible error when using PolicyKit.

`POLKIT_ERROR_FAILED` | The operation failed.
`POLKIT_ERROR_CANCELLED` | The operation was cancelled.
`POLKIT_ERROR_NOT_SUPPORTED` | Operation is not supported.
`POLKIT_ERROR_NOT_AUTHORIZED` | Not authorized to perform operation.